Information on source package gnome-shell

Available versions

ReleaseVersion
stretch3.22.3-3
stretch (security)3.22.3-3+deb9u1
buster3.30.2-11~deb10u2
bullseye3.38.6-1~deb11u1
bookworm41.1-1
sid41.1-1

Open issues

BugstretchbusterbullseyebookwormsidDescription
CVE-2021-20315undeterminedundeterminedundeterminedundeterminedundeterminedlocking protection bypass allow unauthorized user to kill existing applications or start new ones
CVE-2021-3982vulnerablevulnerablevulnerablevulnerablevulnerableDistributions using CAP_SYS_NICE in gnome-shell may be exposed to privilege escalation
CVE-2019-3820vulnerable (no DSA)fixedfixedfixedfixedIt was discovered that the gnome-shell lock screen since version 3.15. ...

Open unimportant issues

BugstretchbusterbullseyebookwormsidDescription
CVE-2012-4427vulnerablevulnerablevulnerablevulnerablevulnerableThe gnome-shell plugin 3.4.1 in GNOME allows remote attackers to force ...

Resolved issues

BugDescription
CVE-2020-17489An issue was discovered in certain configurations of GNOME gnome-shell ...
CVE-2017-8288gnome-shell 3.22 through 3.24.1 mishandles extensions that fail to rel ...
CVE-2014-7300GNOME Shell 3.14.x before 3.14.1, when the Screen Lock feature is used ...
CVE-2013-7221The automatic screen lock functionality in GNOME Shell (aka gnome-shel ...
CVE-2013-7220js/ui/screenShield.js in GNOME Shell (aka gnome-shell) before 3.8 allo ...
CVE-2010-4000gnome-shell in GNOME Shell 2.31.5 places a zero-length directory name ...

Security announcements

DSA / DLADescription
DLA-2374-1gnome-shell - security update

Search for package or bug name: Reporting problems